<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:id="@+id/activity_search"
    android:background="@color/black"
    tools:context=".activity.SerachActivity">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:id="@+id/search_cons"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="24dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/search_edit"
        android:paddingStart="20dp"
        android:paddingTop="10dp"
        android:paddingEnd="20dp"
        android:paddingBottom="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/search_back"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/search_search"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:src="@drawable/icon_main_search"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <EditText
            android:id="@+id/search_edit"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_marginEnd="8dp"
            android:background="@android:color/transparent"
            android:hint="@string/search_hint_text"
            android:lines="1"
            android:maxLines="1"
            android:textColor="@color/search_text_color"
            android:textColorHint="@color/search_hint_text_color"
            android:textSize="19sp"
            app:layout_constraintEnd_toStartOf="@id/search_search"
            app:layout_constraintStart_toStartOf="parent" />


    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_marginStart="16dp"
        android:id="@+id/search_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_main_setting"
        android:padding="8dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toBottomOf="@id/search_cons"
        app:layout_constraintTop_toTopOf="@id/search_cons">

        <ImageView
            android:layout_width="18dp"
            android:layout_height="18dp"
            android:src="@drawable/icon_back"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>


    <androidx.recyclerview.widget.RecyclerView
        android:layout_marginTop="20dp"
        android:id="@+id/searc_rv"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/search_cons" />

    <TextView
        android:layout_marginTop="20dp"
        android:id="@+id/faile"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@color/search_text_color"
        android:textSize="25sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/search_cons" />


</androidx.constraintlayout.widget.ConstraintLayout>